Skip to main content
`Ctrl`+`K`

# NEPSetStoppingTest

Specifies how to decide the termination of the outer loop of the eigensolver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetStoppingTest(NEP nep,NEPStop stop)

Logically Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- stop - the type of stopping test, see `NEPStop`

## Options Database Keys

- -nep_stop_basic - sets the default stopping test

- -nep_stop_user - selects the user-defined stopping test

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPGetStoppingTest()`, `NEPSetStoppingTestFunction()`, `NEPSetConvergenceTest()`, `NEPStop`

## Level

advanced

## Location

src/nep/interface/nepopts.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages